@import "app/UI/styles";

.Container {
  display: grid;
  grid-template-columns: 40vw 60vw;
  height: 100vh;
}

.LeftSide {
  background-image: url("../../../assets/images/Bitmap.jpg");
  background-size: cover;
  background-repeat: no-repeat;
}

.RightSide {
  font-family: $primary-font;

  .RightSideContainer {
    display: grid;
    grid-template-rows: 15% 1fr;
    height: 100%;
    width: 40%;
    margin: 0 40% 0 20%;
  }

  .Logo {
    justify-content: left;

    img {
      height: 30px;
      margin: auto 0;
    }
  }

  .FormContainer {
    margin-top: 30%;
    height: 400px;

    h2 {
      margin-bottom: 29px;
    }

    input {
      margin-bottom: 22px;
      width: 100%;
      max-width: 496px;
    }

    .LogInButton {
      margin: 0;
      margin-top: 34px;
      margin-bottom: 16px;
      width: 100%;
      max-width: 496px;
    }
  }

  .Title {
    font-size: 30px;
    line-height: 40px;
  }
}

@media (max-width: 1200px) {
  .RightSide {
    .RightSideContainer {
      width: 60%;
      margin: 0 30% 0 15%;
    }
  }
}

@media (max-width: 750px) {
  .Container {
    display: grid;
    grid-template-columns: 100vw;
    height: 100vh;
  }

  .LeftSide {
    display: none;
  }

  .RightSide {
    .RightSideContainer {
      width: 80%;
      margin: 0 10%;
    }
  }
}
